mouth
Willkommen Gast.
Um die volle Funktionalität des Forums nutzen zu können,
müssen Sie sich einloggen oder registrieren.
Haben Sie Ihre Aktivierungs E-Mail übersehen?

 
Erweiterte Suche

31.108 Beiträge in 6.473 Themen- von 6.478 Mitglieder - Neuestes Mitglied: Frideborg

17-10-2019 23:03:41
JOOM::GALLERY::FORUMArchivPonyGallery MLInstallation / UpdateNach Upgrade der 2.5.0 Fehlermeldung
Seiten: [1]
Drucken
Autor Thema: Nach Upgrade der 2.5.0 Fehlermeldung  (Gelesen 4475 mal)
0 Mitglieder und 1 Gast betrachten dieses Thema.
S_W
Newbie
*
Offline Offline

Beiträge: 37


« am: 28-12-2007 10:20:04 »

Hallo zusammen

Ich habe nun von der PonyGallery 2.4.1 auf die neue Version 2.5.0 upgegraded.

Beim öffnen des Configuration Managers erhalte ich nun beim Einspielen der neuen Daten in die DB folgende Fehlermeldung:

Correcting existing menu links Fatal error: Call to undefined function: getaffectedrows() in d:\www\homepage\administrator\components\com_ponygallery\tools\update2.php on line 278

Das komische ist, dass ich mit exakt dem selben Update bereits gestern eine Galerie mit der Version 2.4.1 upgegraded habe. Da verlief alles einwandrei. Ich habe auch die besagte Datei update2.php noch einmal hoch geladen. Leider ohne Erfolg. Kann mir jemand helfen? Schon mal vielen Dank.

S_W
Gespeichert
aHa
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 2.367


WWW
« Antworten #1 am: 28-12-2007 10:35:43 »

Hallo S_W,

hm, diese Funktion (database->GetAffectedRows) wurde am 7.12.2005 in Joomla! 1.0.5 eingebaut. (Quelle: changelog.php).
Könnte es sich um eine sehr alte Joomla! Version handeln?

Gruß
Andreas
Gespeichert
S_W
Newbie
*
Offline Offline

Beiträge: 37


« Antworten #2 am: 28-12-2007 10:47:50 »

@aHa

Ja, es ist eine 2jährige Installation. Allerdings habe ich in den letzten zwei Jahren die Pony regelmässig upgegraded.

Aber ich glaube den Fehler gefunden zu haben. Ich habe das ganze com_ponygallery Verzeichnis mit dem Verzeichnis der Seite verglichen, auf der ich das Upgrade gestern erfolgreich abschliessen konnte. Ich habe gesehen, dass ich in meiner aktuellen Seite die Datei update.php im Verzeichnis administrator/components/com_ponygallery/tools habe. Diese Datei habe ich allerdings nicht auf der Seite, wo das Upgrade funktionierte. Ich habe daraufhin in der update2.php nach einem Eintrag update.php gesucht. Gefunden habe ich folgenden Eintrag:

Delete update.php to stop including the update files and gives an error if update.php is not writable.

Also habe ich die Datei update.php manuell gelöscht. Und schon funktionierte es! Das heisst, ich kann wieder auf den Configuration Manager zugreifen. Allerdings bin ich nicht sicher, ob alle Einträge sauber in die DB erfasst wurden. Denn die Zusammenfassung mit den grünen OKs habe ich nicht mehr gesehen.
Gespeichert
S_W
Newbie
*
Offline Offline

Beiträge: 37


« Antworten #3 am: 28-12-2007 10:53:26 »

Nachtrag: Sobald ich diese Datei wieder ins entsprechende Verzeichnis kopiere, erhalten ich wieder die Fehlermeldung.
Gespeichert
aHa
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 2.367


WWW
« Antworten #4 am: 28-12-2007 11:11:49 »

Hallo S_W,

ich denke, Du weisst, daß ein Update auf eine aktuelle Joomla! Version (1.0.13) aus Sicherheitsgründen im Moment dringlicher ist. Bitte nicht falsch verstehen....
.
Zu der update.php:
Wenn das Update bisher erfolgreich verlaufen ist, wird versucht, diese Datei zu löschen. Bei Erfolg ist dann das komplette Update erfolgreich abgeschlossen. Zuletzt sicherst Du dann die Konfiguration. Damit werden für die neuen Variablen der 2.5.0 Defaultwerte abgespeichert, zum Beispiel die für die Namensschilder.

Darum findest Du auf der Seite auch nicht mehr diese Datei.

Wenn auf der anderen Seite vorher die Ponygallery ML 2.4.1 vorhanden war, musst Du folgendes kontrollieren:
- in der DB muss die neue Tabelle <präfix>_ponygallery_nameshields vorhanden sein (für <präfix> das entsprechende Präfix einsetzen zum Beispiel jos_ponygallery_nameshields)
Gespeichert
Seiten: [1]
Drucken
Gehe zu:  

HOSTED BY SCHWARZKÜNSTLER ®

PROTECTED BY  ZB BLOCK  AND Project Honey Pot
Theme orange-lt created by panic

Bad Behavior has blocked 5691 access attempts in the last 7 days.

mouth